% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/read-stations.R
\name{read_stations}
\alias{read_stations}
\title{Get CitizenAir Stations}
\usage{

  read_stations(x = sensorweb4R::as.Endpoint("http://geo.irceline.be/sos/api/v1"))
}
\arguments{
\item{x}{an object of class \code{Endpoint} as returned by \code{as.Endpoint}}
}
\value{
an object of class \code{citizenair_stations} which is a list with elements \code{phenomena} and \code{stations}\cr
Element phenomena is a data.table with all phenomena containing fields
\enumerate{
\item{id: identifier of the phenomena}
\item{label: label of the phenomena}
}
Element stations is a data.table with all stations containing fields
\enumerate{
\item{id: identifier of the station}
\item{label: label of the station}
\item{lon: longitude of the station}
\item{lat: latitude of the station}
\item{phenomena: a list of phenomena identifiers for each station}
\item{phenomena_label: a list of phenomena labels for each station}
\item{timeseries: a list of timeseries identifiers for each station}
}
}
\description{
Get CitizenAir Stations
}
\examples{
library(sensorweb4R)
e <- as.Endpoint("http://geo.irceline.be/sos/api/v1")
x <- read_stations(e)
}
